Subject: bug#44483: 27.1.50; Window parameter `min-margins' doesn't split window in half

From: Joost Kremers <[email-masked]>
Date: Fri, 06 Nov 2020 21:36:41 +0100

On Fri, Nov 06 2020, martin rudalics wrote:
> The problem is that when we split the original window, the new window
> does not get its 'min-margins' parameter set and the subsequent
> sanitizing step screws up things.  Please try the attached patch.

Yes, the patch appears to work. After applying it, splitting a window gives me a
50/50 split. (I tried several times.)

> And please look also into what happens when you shrink a frame with such
> large margins to a size that won't accommodate those margins any more
> unless they get shrunk.  I'm afraid that the subsequent sanitizing step
> might cause troubles there as well.

I'm not seeing anything unexpected here, but I'm not sure what I should be
looking at.

-- 
Joost Kremers
Life has its moments